1. Docs
  2. API Reference
  3. Set the identity roles an administrator role may grant in an Environment

Set the identity roles an administrator role may grant in an Environment

PUT/portal/v1/accounts/{accountSlug}/admin-roles/{adminRoleId}/grantable-roles

Authentication

Bearer TokenAuthorization

JWT access token. Never send alongside X-API-Key: a request carrying both is refused.

Path Parameters

adminRoleIdstring Required

Request body

application/json

environmentIdstring Required

Environment the identity roles belong to

roleIdsstring[] Required

Identity role IDs this administrator role may grant

Responses

application/json

  • itemsstring[]*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*
Request
curl -X PUT "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/admin-roles/value/grantable-roles" \
  -H "Authorization: Bearer $CANOPY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "environmentId": "string",
    "roleIds": [
      "string"
    ]
  }'
Response
{
  "items": [
    "string"
  ]
}
Related endpoints
GETList operational-administrator roles for the Account
POSTCreate an operational-administrator role
GETList the operational capabilities a role may grant
GETGet an operational-administrator role
PATCHUpdate an operational-administrator role
DELETEDelete an administrator role
GETList the identity roles an administrator role may grant in an Environment
Was this page helpful?

Tell us how we can improve this guide.